(** (Usual) Propositional formulae.
 *
 * This module is only used by the sch2cnf to work with propositional formulae without schemata.
 * @author Vincent Aravantinos
 *)

(** Type of propositional formulae. *)
type t

(** {6 Constructors} *)

val bot     : t
val top     : t
val lit     : Literal.t -> t
val conj    : t -> t -> t
val disj    : t -> t -> t
val xor     : t -> t -> t
val equiv   : t -> t -> t
val imply   : t -> t -> t

(** {6 Print stuff} *)

val to_string    : t -> string
val to_dimacs    : t -> string
val print        : t -> unit
val print_cnf    : t -> unit
val print_dimacs : t -> unit

(** {6 Others } *)

(** Computes the conjunctive normal form of a formula (naive calculus: no sharing) *)
val to_cnf : t -> t
